Subject: Re: linux-next: manual merge of the akpm tree with the cgroup tree

From: Frederic Weisbecker <[email-masked]>
Date: Wed, 14 Dec 2011 17:16:31 +0100

On Wed, Dec 14, 2011 at 05:51:01PM +1100, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the akpme tree got conflicts in several files
> between commits from the cgroup  tree and commit "cgroups: add previous
> cgroup in can_attach_task/attach_task callbacks" from the akpm tree.
> 
> This got a bit to hard to resolve, so I dropped that patch and the
> following from the akpm tree.

Yeah there are many things I need to update to get a clean rebase.

> 
> cgroups: new cancel_attach_task() subsystem callback
> cgroups: ability to stop res charge propagation on bounded ancestor
> cgroups: add res counter common ancestor searching
> res_counter: allow charge failure pointer to be null
> cgroups: pull up res counter charge failure interpretation to caller
> cgroups: allow subsystems to cancel a fork
> cgroups: add a task counter subsystem
> cgroups: ERR_PTR needs err.h
> cgroup: Fix task counter common ancestor logic
> cgroup-fix-task-counter-common-ancestor-logic-checkpatch-fixes
> 
> I am wondering if that patch set should be included in the cgroup tree?

That would be probably the easier solution.
Andrew, do you mind if I rebase these patches and target them to Tejun's
tree instead? We can keep them on a standalone branch there based on Tejuns until
we reach an agreement on their upstreamability.